<template>
    <div class="slds-box slds-theme_default card-spacing" style="display: flex;">
        <lightning-combobox label="Category" value={category} options={categoryOptions} onchange={handleCategoryChange}></lightning-combobox>
        <lightning-input data-id="search" type="text" label="Search by Title" placeholder="Search..." onchange={handleSearchChange}></lightning-input>
    </div>
    <template for:each={cards} for:item="card">
        <div key={card.id} class="slds-box slds-theme_default card-spacing">
            <div class="slds-text-heading_medium">{card.title}</div>
            <div class="card-body slds-text-heading_small">{card.body}</div>
        </div>
    </template>
</template>